Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.util
Class LRUSessionObjectAccessor

    java.lang.Object
      com.jaspersoft.jasperserver.war.util.LRUSessionObjectAccessor

All Implemented Interfaces:
  SessionObjectSerieAccessor

    public class LRUSessionObjectAccessor

extends java.lang.Object
implements SessionObjectSerieAccessor

Version:
  $Id: LRUSessionObjectAccessor.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `LRUSessionObjectAccessor.ObjectSerie`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`LRUSessionObjectAccessor()`

Method Summary
`protected java.lang.String` | `createName(java.lang.Object object)`
`java.lang.String` | `getListSessionName()`
`int` | `getMaxSize()`
`java.lang.Object` | `getObject(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
`protected LRUSessionObjectAccessor.ObjectSerie` | `getObjectSerie(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `putObject(javax.servlet.http.HttpServletRequest request, java.lang.Object object)`
`void` | `removeObject(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
`void` | `setListSessionName(java.lang.String listSessionName)`
`void` | `setMaxSize(int maxSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### LRUSessionObjectAccessor

    public LRUSessionObjectAccessor()

Method Detail

### putObject

    public java.lang.String putObject(javax.servlet.http.HttpServletRequest request,
                                      java.lang.Object object)

  Specified by:
    `putObject` in interface `SessionObjectSerieAccessor`

### getObject

    public java.lang.Object getObject(javax.servlet.http.HttpServletRequest request,
                                      java.lang.String name)

  Specified by:
    `getObject` in interface `SessionObjectSerieAccessor`

### removeObject

    public void removeObject(javax.servlet.http.HttpServletRequest request,
                             java.lang.String name)

  Specified by:
    `removeObject` in interface `SessionObjectSerieAccessor`

### getObjectSerie

    protected LRUSessionObjectAccessor.ObjectSerie getObjectSerie(javax.servlet.http.HttpServletRequest request)

### createName

    protected java.lang.String createName(java.lang.Object object)

### getListSessionName

    public java.lang.String getListSessionName()

### setListSessionName

    public void setListSessionName(java.lang.String listSessionName)

### getMaxSize

    public int getMaxSize()

### setMaxSize

    public void setMaxSize(int maxSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.